Page MenuHomePhabricator

Use same fonts/colors on "Enable locations" as we do on cards
Closed, ResolvedPublic

Description

Problem
We're using slightly different font sizes and colors...

Design

Design details

  • Card icon updated to reflect new Places icon
  • Horizontal rule has been removed
  • Messaging sits on a #F8F9FA background

Event Timeline

Mhurd created this task.May 10 2017, 12:23 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 10 2017, 12:23 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 10 2017, 12:24 AM
Mhurd updated the task description. (Show Details)May 10 2017, 12:25 AM
Mhurd updated the task description. (Show Details)

@Mhurd these should all be the wmf_BlueTint / Accent50Progressive (#3366CC)
It'd be great to work on matching the hex codes and names used in the iOS app to the WMF style guide!

Mhurd added a comment.May 10 2017, 5:17 PM

@cmadeo the font size is different too - both for the blue text but also the other text. The other text is also a slightly different color... assuming we want to make all of these the same?

@Mhurd it looks like the Enable location card is using the grey type style that is usually used for the Wikidata descriptions. Let me do up a quick re-design after my morning meetings.

@Mhurd hmm, found the original mock: https://zpl.io/28bgPS

@Mhurd how about something like this?


Zeplin: https://zpl.io/Z2eIQQn

Mhurd added a comment.May 10 2017, 9:55 PM

@cmadeo I like that design, but "Enable location to view articles near you" will almost certainly wrap to two lines in some langs.

@Mhurd, ah good point.

Let's borrow from the donation card then:


Zeplin: https://zpl.io/Z2eIQQn

cmadeo updated the task description. (Show Details)May 11 2017, 8:33 PM
cmadeo added a comment.Jun 1 2017, 7:17 PM

@JMinor would it be possible to include this card update in Snake?

Mhurd removed Mhurd as the assignee of this task.Jun 2 2017, 2:27 AM
Mhurd removed a project: good first bug.
Mhurd added a comment.EditedJun 2 2017, 2:31 AM

I removed the easy tag given that this ticket adds a new button which will need to enable location services - and probably then refresh the panel so "unknown distance" and the compass arrow will be updated.

Mhurd added a comment.EditedJun 2 2017, 2:37 AM

@cmadeo

Since the places location enabling interface button says "Enable location"...

...can we use "Enable location" here too instead of "Enable location access"?

Would probably also lessen the probability that a translation would be long enough to wrap lines inside the button.

cmadeo added a comment.Jun 2 2017, 5:05 PM

Sure' enable location works great, thanks @Mhurd

This is looking really good, I think the 'Enable location' text might be a bit larger than the black text above it though. Additionally can we update the string to 'Explore articles near your location' ?

Thanks for looking at this @cmadeo! Sorry about missing the 'Explore articles near your current location' that was in your original design, I didn't notice that it was being overridden in a different place.

Regarding the font size, does this look better?

Do you prefer 'Explore articles near your current location' or 'Explore articles near your location'?

Thanks @NHarateh_WMF! This looks great! Let's keep the string as 'Explore articles near your current location'

JMinor closed this task as Resolved.Jun 20 2017, 10:39 PM